Package ru.bitel.bgbilling.modules.npay.server.bean.account

# Class ModuleAccount

java.lang.Object
ru.bitel.bgbilling.modules.npay.server.bean.account.ModuleAccount

All Implemented Interfaces:
  `ListItem`

Direct Known Subclasses:
  `DialUpModuleAccount`, `InetModuleAccount`, `KernelAccount`, `PhoneModuleAccount`, `VoiceModuleAccount`, `VoipModuleAccount`

    public abstract class ModuleAccount
    extends java.lang.Object
    implements ListItem

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ModuleAccount()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getId()` |
  `int` | `getModleId()` |
  `abstract java.math.BigDecimal` | `getPeriodAccount​(java.sql.Connection con, int contractId, java.util.Calendar from, java.util.Calendar to)` |
  `java.lang.String` | `getSids()` |
  `java.lang.String` | `getTitle()` |
  `void` | `setId​(int id)` |
  `void` | `setModuleId​(int moduleId)` |
  `void` | `setSids​(java.lang.String sids)` |
  `void` | `setTitle​(java.lang.String title)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ModuleAccount

    public ModuleAccount()

- ## Method Details

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `ListItem`

  - ### setId

    public void setId​(int id)

  - ### getSids

    public java.lang.String getSids()

  - ### setSids

    public void setSids​(java.lang.String sids)

  - ### getTitle

    public java.lang.String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getModleId

    public int getModleId()

  - ### setModuleId

    public void setModuleId​(int moduleId)

  - ### getPeriodAccount

    public abstract java.math.BigDecimal getPeriodAccount​(java.sql.Connection con, int contractId, java.util.Calendar from, java.util.Calendar to)